/**
 * Site Header
 */
.site-header {
  background: #fff;
  border-top: 5px solid _palette(accent);
  border-bottom: 1px solid _palette(border);
  padding-bottom: 1.33333em;
  padding-top: 1.33333em;
}

.site-header-inside {
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}

.site-branding {
  -webkit-box-flex: 0;
  -ms-flex: 1 1 auto;
  flex: 1 1 auto;
  margin-right: 16px;

  a {
    border: 0;
    color: inherit;
  }
}

.site-logo {
  margin: 0;
  
  // New embedded SVG
  svg {
    max-width: 318px;
    max-height: calc(18vw);
  }
  
  // Old image tag
  img {
    max-height: calc(18vw);
  }
}

.site-title {
  color: _palette(secondary);
  font-family: _font(secondary);
  font-size: 1.33333em;
  font-weight: bold;
  line-height: 1.2;
  margin: 0;
}

// Main header menu (a UL)
.menu {
  list-style: none;
  margin: 0;
  padding: 0;
  line-height: 1.5;
}

.menu-item {
  &.current-menu-item a:not(.button), a:not(.button):hover {
    color: _palette(accent-blue);
    border-bottom: 2px solid _palette(accent-blue);
  }

  a {
    &:not(.button) {
      border: 0;
      border-bottom: 2px solid white;
      color: inherit;
      font-size: 14px;
      line-height: 1.5;
      letter-spacing: 0.1em;
      text-transform: uppercase;
    }
  }
}

/*****************************************************************
 * Desktop menu
 * (mobile-first, with desktop size customized here)
 ****************************************************************/
$mobile-menu-breakpoint: 768px;
@media (min-width: $mobile-menu-breakpoint + 1) {
  .menu-toggle {
    display: none;
  }

  .site-nav {
    margin-left: auto;
  }

  .menu {
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    justify-content: center;
    // margin-top: 30px;
  }

  // Remember: this import only applies to desktop size
  @import "utils/dropdown-menu";

  // This seems to have been used in old theme, no longer needed
  // .menu-item {
  //   margin-left: 20px;

  //   .button:not(.button-icon) {
  //     padding: 0.4em 10px;
  //   }
  // }

  // From my old menu where logo was centered
  // .site-header-inside {
  //   display: block;
  //   text-align: center;
  // }



}

/*****************************************************************************
 * Tweaks for mobile menu size only
 * (normally we do mobile-first, but theme uses this a fair bit it seems)
 *****************************************************************************/
@media (max-width: $mobile-menu-breakpoint) {
  .site-header {
    &:after {
      background: rgba(255,255,255,.75);
      content: "";
      height: 100vh;
      left: 0;
      opacity: 0;
      position: absolute;
      top: 0;
      -webkit-transition: opacity .25s, visibility 0s .25s;
      transition: opacity .25s, visibility 0s .25s;
      visibility: hidden;
      width: 100%;
      z-index: 998;
    }
  }

  #menu-open {
    display: block;
    margin-left: auto;
  }

  .site-nav {
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    background-color: #fff;
    border-left: 1px solid _palette(border);
    box-sizing: border-box;
    bottom: 0;
    margin: 0;

    // How wide to display the mobile menu pane
    max-width: 430px;

    -webkit-overflow-scrolling: touch;
    position: fixed;
    right: -100%;
    top: 0;
    -webkit-transition: right .3s cubic-bezier(.65,.05,.36,1), visibility 0s .3s;
    transition: right .3s cubic-bezier(.65,.05,.36,1), visibility 0s .3s;
    visibility: hidden;
    width: 100%;
    z-index: 999;
  }

  .site-nav-inside {
    height: 100%;
    overflow-y: auto;
    -webkit-overflow-scrolling: touch;
    position: relative;
  }

  #menu-close {
    display: block;
    position: absolute;
    right: 3.5vw;
    top: 1.71428em;
  }

  .menu {
    padding: 1.8em 3.5vw 3em;

    // Let's give it a lighter color
    // in mobile menu so it's a little
    // easier to scan
    div a {
      border-bottom-color: #c4e3ff;
    }
  }

  .menu-item {
    border-top: 1px solid _palette(border);
    display: block;

    &:not(.menu-button):last-child {
      border-bottom: 1px solid _palette(border);
    }

    a {

      &:not(.button-icon) {
        display: block;
      }

      &:not(.button) {
        padding: 1em 0;
      }
    }
  }

  .menu-button {
    padding: 1em 0;

    & + .menu-button {
      border-top: 0;
      padding-top: 0;
    }
  }

  .menu--opened {
    overflow: hidden; // body tag

    .site-header {
      &:after {
        opacity: 1;
        -webkit-transition: opacity .25s;
        transition: opacity .25s;
        visibility: visible;
      }
    }

    .site-nav {
      right: 0;
      -webkit-transition: right .3s ease;
      transition: right .3s ease;
      visibility: visible;
    }
  }
}

@media (max-width: 360px) {
  .site-nav {
    border-left: 0;
  }
}
